#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksirtetmultiplayers (static) ##############

tde_moc( MOC_SOURCES mp_board.h )

tde_add_library( ksirtetmultiplayers STATIC_PIC AUTOMOC
  SOURCES miscui.cpp types.cpp defines.cpp socket.cpp smanager.cpp pline.cpp
    wizard.cpp meeting.cpp keys.cpp mp_interface.cpp internal.cpp
    mp_simple_types.cpp mp_simple_board.cpp mp_simple_interface.cpp
    ${MOC_SOURCES}
)
